Subject: Re: bug#30660: mention describe-bindings on (info "(emacs) Keymaps")

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Jan 2020 11:41:41 +0200

> From: Stefan Kangas <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 18 Jan 2020 10:12:08 +0100
> 
> >> I'm not sure, what would be a reasonable default?  The keymap of the
> >> current major mode?
> >
> > I thought about the description in "Active Keymaps".
> 
> Do you mean to use the first active keymap?
> 
> I can see how that make sense, and would probably be intuitive when
> trying to figure out what keymap is active in different parts of a
> buffer (for example over a button).
> 
> If that's what you're thinking of, I wonder if there's any way to get
> the name of the highest precedent keymap among the active keymaps?
> 
> This was the first thing I tried, but it didn't work:
> 
>    (car (current-active-maps t (point)))

Does the pseudo-code at the beginning of "Searching Keymaps" give any
ideas?